### Hierarchy

- WalletManagerImpl

### Implements

- WalletManager

## Index

### Constructors

- constructor

### Properties

- DATA_KEY_CRYPTO_WALLETS
- DATA_KEY_ETH_WEALTH_VALIDATOR
- DATA_KEY_WEALTH

### Methods

- addWealthValidator
- createCryptoWalletsData
- getWalletValidator

## Constructors

### constructor

- new WalletManagerImpl(profileManager: ProfileManager, dataRequestManager: DataRequestManager, walletValidator: WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>, messageSigner: MessageSigner, authAccountBehavior: Observable<Account>): WalletManagerImpl

- - Defined in manager/WalletManagerImpl.ts:17

  #### Parameters

  - ##### profileManager: ProfileManager

  - ##### dataRequestManager: DataRequestManager

  - ##### walletValidator: WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>

  - ##### messageSigner: MessageSigner

  - ##### authAccountBehavior: Observable<Account>

  #### Returns WalletManagerImpl

## Properties

### Static DATA_KEY_CRYPTO_WALLETS

DATA_KEY_CRYPTO_WALLETS: string = "crypto_wallets"

- Defined in manager/WalletManagerImpl.ts:13

### Static DATA_KEY_ETH_WEALTH_VALIDATOR

DATA_KEY_ETH_WEALTH_VALIDATOR: string = "ethwealthvalidator"

- Defined in manager/WalletManagerImpl.ts:14

### Static DATA_KEY_WEALTH

DATA_KEY_WEALTH: string = "wealth"

- Defined in manager/WalletManagerImpl.ts:15

## Methods

### addWealthValidator

- addWealthValidator(validatorPbKey: string): Promise<void>

- Implementation of WalletManager.addWealthValidator

  - Defined in manager/WalletManagerImpl.ts:55

  #### Parameters

  - ##### validatorPbKey: string

  #### Returns Promise<void>

### createCryptoWalletsData

- createCryptoWalletsData(cryptoWallets: CryptoWallets): Promise<CryptoWalletsData>

- Implementation of WalletManager.createCryptoWalletsData

  - Defined in manager/WalletManagerImpl.ts:30

  #### Parameters

  - ##### cryptoWallets: CryptoWallets

  #### Returns Promise<CryptoWalletsData>

### getWalletValidator

- getWalletValidator(): WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>

- Implementation of WalletManager.getWalletValidator

  - Defined in manager/WalletManagerImpl.ts:51

  #### Returns WalletValidator<CryptoWallet, SupportSignedMessageData<CryptoWallet>>

Generated using TypeDoc